Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451326 - Update from fedora 8 to 9 broke serial ports
Summary: Update from fedora 8 to 9 broke serial ports
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 20:07 UTC by Matt Castelein
Modified: 2009-06-10 02:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 02:01:11 UTC


Attachments (Terms of Use)

Description Matt Castelein 2008-06-13 20:07:00 UTC
Description of problem: Serial ports unusable since update to fedora 9


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1.access serial port
2.
3.
  
Actual results: all communications fail


Expected results: Able to communicate via port


Additional info:  Port UART is now "unknown" and additional ports have appeared:
/dev/ttyS0, UART: unknown, Port: 0x03f8, IRQ: 4
/dev/ttyS1, UART: unknown, Port: 0x02f8, IRQ: 3
/dev/ttyS2, UART: unknown, Port: 0x03e8, IRQ: 4
/dev/ttyS3, UART: unknown, Port: 0x02e8, IRQ: 3

Under Fedora 8, the UART was "16550A" and there was only one port:
anaconda.syslog:<6>serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
messages.1:Dec  5 19:44:41 arturo kernel: serial8250: ttyS0 at I/O 0x3f8 (irq =
4) is a 16550A
messages.1:Dec  5 23:11:42 arturo kernel: serial8250: ttyS0 at I/O 0x3f8 (irq =
4) is a 16550A
messages.1:Dec  6 03:45:51 arturo kernel: serial8250: ttyS0 at I/O 0x3f8 (irq =
4) is a 16550A
messages.1:Dec  6 10:55:52 arturo kernel: serial8250: ttyS0 at I/O 0x3f8 (irq =
4) is a 16550A
messages-20080518:May 15 20:47:33 arturo kernel: serial8250: ttyS0 at I/O 0x3f8
(irq = 4) is a 16550A
messages-20080601:May 27 10:06:09 arturo kernel: serial8250: ttyS0 at I/O 0x3f8
(irq = 4) is a 16550A
messages-20080608:Jun  1 20:37:37 arturo kernel: serial8250: ttyS0 at I/O 0x3f8
(irq = 4) is a 16550A
messages-20080608:Jun  5 12:53:58 arturo kernel: serial8250: ttyS0 at I/O 0x3f8
(irq = 4) is a 16550A

..After June 5 I switched to 9.  No kernel serial port related messages appear
after that date.

Comment 1 williamnorfleet2000 2008-06-25 14:20:57 UTC
What kernel are you / have you been using?  On my laptop, neither an external
serial modem nor a pcmcia modem card work under kernel 2.6.25.4-10.fc8. In both
cases minicom talks with the modems fine in terms of responding to "AT" commands
including dialing a number, but, once the connection appears to be established
(as announced by "CONNECT 57600") no further alphanumeric information is
displayed until "NO CARRIER". Both devices continue to work fine under kernel
2.6.24.7-92.fc8 - I've gone back and forth between the two kernels several times
this evening and have verified this behavior. 

Addendum:  This problem persists in kernel 2.6.25.6-27.fc8.  kernel
2.6.24.7-92.fc8 continues to work fine.

Comment 2 Matt Castelein 2008-06-25 14:39:41 UTC
I am using kernel 2.6.25.6-55.fc9.i686

Comment 3 Matt Castelein 2008-06-25 14:49:31 UTC
I am using kernel 2.6.25.6-55.fc9.i686, and the last time my serial ports worked,
I was using kernel kernel-2.6.24.7-92.fc8.i686.  The ports do not work in
kernel-2.6.25.3-18.fc9.i686, kernel-2.6.25.4-30.fc9.i686, and
kernel-2.6.25.6-55.fc9.i686.



Comment 4 Matt Castelein 2008-07-16 17:57:39 UTC
Is anyone going to look at this?

Comment 5 Matt Castelein 2008-07-19 01:11:20 UTC
I just did a fresh install of F9 x86_64 on a new machine and my serial ports
there are not working either.  I'm trying to control my home automation with
heyu and all i get is the message "ttopen tcgetattr" in the log and then the
process dies.  Permissions for the port are set right.. What is going on?

Comment 6 Bug Zapper 2009-06-10 01:36:02 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Matt Castelein 2009-06-10 02:01:11 UTC
This appears to be fixed in 10.. Glad no one bothered to look.


Note You need to log in before you can comment on or make changes to this bug.